create schema note;

create type note.enum_category as enum (
    'PostgreSQL',
    'R',
    'Bootsfaces',
    'MyFaces',
    'Java',
    'Bash',
    'Apache',
    'Tomcat'
);

create type note.enum_notetype as enum (
    'Administration',
    'HowTo'
);

create table note.t_note (
    lastchange timestamp without time zone default now(),
    pk integer not null primary key generated always as identity,
    title text,
    category note.enum_category,
    notetype note.enum_notetype,
    content text
);

grant usage on schema note to timetrack;

grant select,insert,delete,update on table note.t_note to timetrack;

